<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    fullscreen="fullscreen">
    <bu-device-online-chart-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></bu-device-online-chart-form>
  </j-modal>
</template>

<script>

  import BuDeviceOnlineChartForm from './BuDeviceOnlineChartForm'
  export default {
    name: 'BuDeviceOnlineModal',
    components: {
      BuDeviceOnlineChartForm,
    },
    data () {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false,
        deviceDisabled: false, //从设备界面新增设备在线状态
      }
    },
    created() {
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>